﻿.color-white{
    color:white !important;
}
.full-width {
    width: 100% !important;
}
.fa-plus-disabled:before {
    content: "\f067";
}
.fa-minus-disabled:before {
    content: "\f068";
}
.modal-full {
    max-width: 90% !important;
}
span.disabled {
    color: #a1a1a1;
}
.card_prodduct_list .input i.fa-minus-disabled, .card_prodduct_list .input i.fa-plus-disabled {
    color: #a1a1a1;
}
.size_error {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999999;
    background: white;
    display: none;
}

    .size_error img{
        display:block;
        margin:auto;
    }
@media screen and (max-width: 360px) {
    .size_error {
        display: block; /* در صفحات کوچکتر از 600 پیکسل، div نمایش داده می‌شود */
    }
}

    .card_category img {
        display: block;
        width: 200px;
        height: 100px;
        margin: 0 auto;
    }
.card_category .card-footer{
    text-align:center;
    color:black;
    padding:10px;
}

.card_prodduct_list .card {
    margin-bottom: 5px;
    border: 1px solid #b5b5b5 !important;
}
.card_prodduct_list .p_image {
    width: 30%;
    height: auto;
    border-left: 1px solid #ababab;
    display: flex;
}

    .card_prodduct_list .p_image img {
        /*width: 70px;
        height: 70px;*/
        display: block;
        margin: auto;
    }

.card_prodduct_list .p_description {
    padding-top:10px;
    padding-right:5px;
    padding-left:5px;
    width: 70%;
    height: auto;
    
}
.card_prodduct_list .p_description * {
    color:black;
}

.card_prodduct_list p.old_price {
    color:red;
    text-decoration:line-through;
    font-size:12px;
    margin-left:5px;
}
    .card_prodduct_list .p_description p{
        margin-bottom:5px;
    }
    .card_prodduct_list .card-body {
        display: flex;
        position:relative;
    }
.card_prodduct_list .input {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 110px;
    display: flex;
    padding: 5px;
    border-radius: 0 5px;
    border: 1px solid #b5b5b5;
}

    .card_prodduct_list .input span {
        width: 40px;
        text-align: center;
        border: 0;
        outline: 0;
    }
    
    .card_prodduct_list .input i {
        padding: 5px 10px;
    }
    .card_prodduct_list .input i.fa-plus {
        color:green;
    }
        .card_prodduct_list .input i.fa-minus {
            color: red;
        }

    .buttom_menu {
        position: fixed;
        width: 100%;
        height: 50px;
        background-color: white;
        bottom: 0;
        left: 0;
    }
.buttom_menu i {
    font-size:18px;
}

    .buttom_menu .has_border {
        border-left: 1px solid #ababab;
    }
.buttom_menu div.col{
    padding:15px;
    text-align:center;
}

.search_box {
    position: fixed;
    align-items: center;
    justify-content: center;
    bottom: -55px;
    height: 55px;
    width: 100%;
    z-index: 99999;
    transition: bottom 0.4s ease;
    display: flex;
}

    .search_box.active {
        bottom: 55px;
    }

    .search_box > div {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .search_box input {
        width: 80%;
        border-radius: 0;
    }

    .search_box div.button_search {
        width: 15%;
        border-radius: 0;
        height: 38px;
        display: flex;
        align-items: center;
        text-align: center;
        justify-content: center;
        background-color: #0162e8;
        border: 1px solid #0162e8;
        color: white;
    }

.support_box {
    flex-wrap: wrap;
    position: fixed;
    bottom: 70px;
    left: 10px;
    background: #3ab449;
    width: 55px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-content: center;
    border-radius: 50%;
    border: 1px solid #3ab449;
    color: white;
}
    .support_box i {
        font-size: 20px;
        color: white;
    }

.btn_panel {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: white;
    height: 55px;
    z-index: 99999;
    box-shadow: 0px 16px 11px 10px #000000;
}
    .btn_panel .disabled {
        color: #949494 !important;
    }

    .btn_panel .panel_item {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 18.75%;
        height: 55px;
        color: black;
    }

    .btn_panel .panel_item_sabad {
        width: 25%;
        background: #3ab449;
        color: white !important;
        font-size: 18px;
        position: relative;
    }

    .btn_panel .sabad_count {
        position: absolute;
        left: 10px;
        bottom: 3px;
        font-size: 13px;
        background-color: #2b8336;
        color: #ffffff;
        border-radius: 50%;
        width: 16px;
        height: 16px;
        text-align: center;
    }

.custom-accordion a {
    color: black !important;
}

.custom-accordion {
    width: 100%;
    border: 1px solid #e0e4ee;
    border-radius: 4px;
    overflow: hidden;
}

/* هر آیتم آکاردیون */
.custom-accordion-item {
    border-bottom: 1px solid #e0e4ee;
}

/* هدر قابل کلیک */
.custom-accordion-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    padding: 12px 16px;
    background-color: #fff;
    font-size: 16px;
    transition: background 0.3s;
    border-bottom: 1px solid;
}

    .custom-accordion-header:hover {
        background-color: #f5f5f5;
    }

/* محتوای قابل باز و بسته شدن */
.custom-accordion-content {
    display: none;
    padding: 5px 30px 0 16px;
    background-color: #fff;
    margin-top: -10px;
    border-bottom: 1px solid;
}

    .custom-accordion-content ul li {
        padding: 10px 20px 10px 0; /* فاصله سمت راست برای دایره */
        position: relative;
        text-align: right; /* متن هم راست‌چین باشد */
        border-bottom: 1px dashed;
    }

        .custom-accordion-content ul li:last-child {
            border-bottom: none;
        }

        .custom-accordion-content ul li:not(.custom-accordion-content):before {
            content: '';
            position: absolute;
            right: 0; /* سمت راست */
            top: 45%;
            transform: translateY(-50%);
            width: 8px; /* قطر دایره */
            height: 8px;
            background-color: black;
            border-radius: 50%;
        }

    .custom-accordion-content ul {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    .custom-accordion-content li {
        padding: 5px 0;
    }

/* فلش */
.custom-accordion-header i {
    transition: transform 0.3s;
}

/* چرخش فلش هنگام باز شدن */
.custom-accordion-header.active i {
    transform: rotate(-90deg);
}

.input_product {
    display: flex;
    position: absolute;
    align-items: center;
    border: 1px solid #bdbdbd;
    border-radius: 5px;
    width: 100px;
    justify-content: space-between;
    bottom: 0;
    left: 0;
}
    .input_product i.fa-plus {
        color: green;
        padding: 10px;
    }

    .input_product i.fa-minus {
        color: red;
        padding: 10px;
    }
    .input_product > .spinner-container {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background-color: #0000004a;
    }

.lnh-20 {
    line-height: 20px !important;
}

.final_order_container {
    display: flex;
    position: fixed;
    bottom: 80px;
    width: 100%;
    justify-content: space-evenly;
}

    .final_order_container button, .final_order_container a {
        width: 40%;
    }

.add_cart_container {
    position: fixed;
    width: 100%;
    left: 0;
    padding: 10px;
}
.confirm_cart_container {
    position: fixed;
    width: 100%;
    left: 0;
    padding: 10px;
    top:70px;
}

.tag-success {
    color: #fff !important;
}
.tag-info {
    color: #fff !important;
}
.tag-primary {
    color: #fff !important;
}
.tag-warning {
    color: #fff !important;
}

.btn-success {
    color: #fff !important;
}

.btn-info {
    color: #fff !important;
}

.btn-primary {
    color: #fff !important;
}

.btn-warning {
    color: #fff !important;
}


.invoice_list_btns{
    position:absolute;
    bottom:0;
    left:0;
    display:flex;
    padding:5px;
}

.btn-with-icon {
    padding: 5px 10px;
    height: 29px;
}

.invoice_goods {
    margin-top: 20px;
    border-top: 1px solid #d8d8d8;
    padding-top: 10px;
}

    .invoice_goods .invoice_good {
        padding-right: 10px;
        margin-bottom:10px;
        padding-top:10px;
        border-right: 3px solid #808080;
        background-color:#eee;
    }
    .invoice_goods .invoice_good p {
        margin-bottom:5px;
        
    }
        .invoice_goods .invoice_good .item_info {
            background-color: #a5c7ff;
            border-radius: 5px;
            margin: 5px;
            margin-bottom: 10px;
        }
        .invoice_goods .invoice_good .item_success {
            background-color: #0fa751;
            border-radius: 5px;
            margin: 5px;
            margin-bottom: 10px;
            color: white;
        }
        .invoice_goods .invoice_good .item_danger {
            background-color: #a70f0f;
            border-radius: 5px;
            margin: 5px;
            margin-bottom: 10px;
            color: white;
        }

.message_date {
    /*position:absolute;
    top:5px;
    left:5px;
    font-size:12px;
    color:#808080;*/
    position: absolute;
    top: -13px;
    left: 5px;
    font-size: 12px;
    color: #ffffff;
    background: #4e4e4e;
    padding: 2px 5px;
    border-radius: 5px;
}
    .message_date p{
        margin:0;
    }

    .side-menu__item i {
        color: #5b6e88;
        margin-left: 10px;
        font-size: 16px;
    }

.ticket_item {
    padding-top: 10px;
    padding-right: 5px;
    padding-left: 5px;
}
.ticket_item p{
    margin-bottom:5px;
}

.mbx-35{
    margin-bottom:35px !important;
}

.p_small{
    font-size:13px !important;
}
.p_xxsmall {
    font-size: 11px !important;
}

.no-instock i {
    padding: 0.25rem !important;
    color: red;
}

.no-instock p {
    padding: 1px !important;
    font-size: 13px !important;
    margin: 0;
    color: red;
}

.similar {
    background-color: #7ecbff !important;
}

.main_icon i {
    font-size: 26px;
    color: #056839;
    width:40px;
}
.main_icon h6 {
    width: 120px;
    text-align:right;
}

.swiper-slide .card-body {
    display: block !important;
}

.swiper-slide .p_image {
    width: 100%;
    border: 0;
}

.swiper-slide .card_prodduct_list .p_image img {
    width: 100%;
    height: auto;
    display: block;
}

.swiper-slide .p_description {
    width: 100%;
    text-align: center;
}

    .swiper-slide .p_description h5 {
        font-size: 14px;
    }
.swiper-slide {
    max-width: 150px;
}

.border-round {
    border-radius: 7px !important;
    box-shadow: 0px 0px 6px 0px #c2c2c2;
}

    .border-round img {
        border-radius: 7px !important;
        padding:5px;
    }
.max_in_day_msg {
    color: red;
    position: absolute;
    bottom: 8px;
    left: 120px;
    display: flex;
    margin-bottom: 0;
    font-size: 13px;
}
.attached_soft_code_msg {
    color: red !important;    
    margin-bottom: 0;
    font-size: 12px;
}


.text-underline{
    text-decoration:underline;
    text-underline-offset:5px;
}
.award_container p{
    margin:0;
}

.eshan_text{
    text-align:justify;
    line-height:18px;
    padding-top:4px;
    padding-bottom:4px;
    margin-bottom:4px;
    display:block;
}

.header_address {
    padding: 10px;
    margin-left: -20px;
    margin-right: -20px;
    font-size: 13px;
    background-color: #fff;
}
.header_address svg {
    padding:0;
}

.address_select_container .address_item i {
    font-size: 14px;
    color: #595959;
    margin-left: 10px;
}
    .address_select_container .address_item i.actived {
        color: #116e1d;
        font-size: 12px;
    }

.address_select_container >div >div:not(:first-child)>i{
    font-size:10px;
}

.address_select_container div.address_item {
    display: flex;
    padding: 10px;
    margin-bottom: 5px;
    align-items: center;
}
.address_select_container:last-child {
    border-bottom: 1px solid #eee;
}
.address_item_container {
    border-top: 1px solid #eee;
}

.address_select_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
    .address_select_header i {
        font-size: 16px;
        color: #d00000
    }

.text-truncate {
    max-width: 300px; /* مثلاً 200 پیکسل */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.text-truncate-200 {
    max-width: 200px; /* مثلاً 200 پیکسل */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product_list_tag_container{
    display:flex;
    align-items:center;
    margin-bottom:0.5rem;
    border-radius:5px;
}
.product_list_tag_container i{
    font-size:18px;
}
    .product_list_tag_container span {
        background-color: inherit;
        color: inherit;
    }
.message_link{
    color:black !important;
}